diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index aa10f74..491fad2 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -121738,10 +121738,851 @@ NagRootFindingPackage(): Exports == Implementation where
 )set message auto off
 )clear all
 
---S 1 of 1
+--S 1 of 88
 )show NagSeriesSummationPackage
+--R 
+--R NagSeriesSummationPackage  is a package constructor
+--R Abbreviation for NagSeriesSummationPackage is NAGC06 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.4.pamphlet to see algebra source code for NAGC06 
+--R
+--R------------------------------- Operations --------------------------------
+--R c06eaf : (Integer,Matrix(DoubleFloat),Integer) -> Result
+--R c06ebf : (Integer,Matrix(DoubleFloat),Integer) -> Result
+--R c06ecf : (Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Integer) -> Result
+--R c06ekf : (Integer,Integer,Matrix(DoubleFloat),Matrix(DoubleFloat),Integer) -> Result
+--R c06fpf : (Integer,Integer,String,Matrix(DoubleFloat),Matrix(DoubleFloat),Integer) -> Result
+--R c06fqf : (Integer,Integer,String,Matrix(DoubleFloat),Matrix(DoubleFloat),Integer) -> Result
+--R c06frf : (Integer,Integer,String,Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Integer) -> Result
+--R c06fuf : (Integer,Integer,String,Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Matrix(DoubleFloat),Integer) -> Result
+--R c06gbf : (Integer,Matrix(DoubleFloat),Integer) -> Result
+--R c06gcf : (Integer,Matrix(DoubleFloat),Integer) -> Result
+--R c06gqf : (Integer,Integer,Matrix(DoubleFloat),Integer) -> Result
+--R c06gsf : (Integer,Integer,Matrix(DoubleFloat),Integer) -> Result
+--R
 --E 1
 
+)clear all
+
+--S 2 of 88
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 2
+
+--S 3 of 88
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 3
+
+--S 4 of 88
+x:Matrix SF:=
+ [[0.34907 ,0.54890 ,0.74776 ,0.94459 ,1.13850 ,1.32850 ,1.51370 ]]
+--R 
+--R
+--R   (3)
+--R   [
+--R     [0.34906999999999999, 0.54889999999999994, 0.74775999999999998,
+--R      0.94459000000000004, 1.1385000000000001, 1.3285, 1.5137]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 4
+
+--S 5 of 88
+n:=ncols x
+--R 
+--R
+--R   (4)  7
+--R                                                        Type: PositiveInteger
+--E 5
+
+--S 6 of 88
+-- result:=c06eaf(n,x,-1)
+--E 6
+
+)clear all
+
+--S 7 of 88
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 7
+
+--S 8 of 88
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 8
+
+--S 9 of 88
+x:Matrix SF:=
+ [[0.34907 ,0.54890 ,0.74776 ,0.94459 ,1.13850 ,1.32850 ,1.51370 ]]
+--R 
+--R
+--R   (3)
+--R   [
+--R     [0.34906999999999999, 0.54889999999999994, 0.74775999999999998,
+--R      0.94459000000000004, 1.1385000000000001, 1.3285, 1.5137]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 9
+
+--S 10 of 88
+n:=ncols x
+--R 
+--R
+--R   (4)  7
+--R                                                        Type: PositiveInteger
+--E 10
+
+--S 11 of 88
+-- result:=c06ebf(n,x,-1)
+--E 11
+
+)clear all
+
+--S 12 of 88
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 12
+
+--S 13 of 88
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 13
+
+--S 14 of 88
+x:Matrix SF:=
+ [[0.34907 ,0.54890 ,0.74776 ,0.94459 ,1.13850 ,1.32850 ,1.51370 ]]
+--R 
+--R
+--R   (3)
+--R   [
+--R     [0.34906999999999999, 0.54889999999999994, 0.74775999999999998,
+--R      0.94459000000000004, 1.1385000000000001, 1.3285, 1.5137]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 14
+
+--S 15 of 88
+y:Matrix SF:=
+ [[-0.37168 ,-0.35669 ,-0.31175 ,-0.23702 ,-0.13274 ,0.00074 ,0.16298 ]]
+--R 
+--R
+--R   (4)
+--R   [
+--R     [- 0.37167999999999995, - 0.35668999999999995, - 0.31174999999999997,
+--R      - 0.23701999999999998, - 0.13274000000000002, 7.3999999999999999E-4,
+--R      0.16298000000000001]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 15
+
+--S 16 of 88
+n:=ncols x
+--R 
+--R
+--R   (5)  7
+--R                                                        Type: PositiveInteger
+--E 16
+
+--S 17 of 88
+-- result:=c06ecf(n,x,y,-1)
+--E 17
+
+)clear all
+ 
+--S 18 of 88
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 18
+
+--S 19 of 88
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 19
+
+--S 20 of 88
+x:Matrix SF:= [[1.00 ,1.00 ,1.00 ,1.00 ,1.00 ,0.00 ,0.00 ,0.00 ,0.00 ]]
+--R 
+--R
+--R   (3)  [1.  1.  1.  1.  1.  0.  0.  0.  0.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 20
+
+--S 21 of 88
+y:Matrix SF:= [[0.50 ,0.50 ,0.50 ,0.50 ,0.00 ,0.00 ,0.00 ,0.00 ,0.00 ]]
+--R 
+--R
+--R   (4)  [0.5  0.5  0.5  0.5  0.  0.  0.  0.  0.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 21
+
+--S 22 of 88
+n:=ncols x
+--R 
+--R
+--R   (5)  9
+--R                                                        Type: PositiveInteger
+--E 22
+
+--S 23 of 88
+job:=1
+--R 
+--R
+--R   (6)  1
+--R                                                        Type: PositiveInteger
+--E 23
+
+--S 24 of 88
+-- c06ekf(job,n,x,y,-1)
+--E 24
+
+--S 25 of 88
+job:=2
+--R 
+--R
+--R   (7)  2
+--R                                                        Type: PositiveInteger
+--E 25
+
+--S 26 of 88
+-- result:=c06ekf(job,n,x,y,-1)
+--E 26
+
+)clear all
+
+--S 27 of 88
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 27
+
+--S 28 of 88
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 28
+
+--S 29 of 88
+x:Matrix SF:=
+ [[0.3854 ,0.6772 ,0.1138 ,0.6751 ,0.6362 ,0.1424] ,_
+ [0.5417 ,0.2983 ,0.1181 ,0.7255 ,0.8638 ,0.8723] ,_
+ [0.9172 ,0.0644 ,0.6037 ,0.6430 ,0.0428 ,0.4815 ]]
+--R 
+--R
+--R   (3)
+--R   [
+--R     [0.38539999999999996, 0.67720000000000002, 0.1138, 0.67510000000000003,
+--R      0.63619999999999999, 0.1424]
+--R     ,
+--R
+--R     [0.54169999999999996, 0.29830000000000001, 0.1181, 0.72550000000000003,
+--R      0.8637999999999999, 0.87229999999999996]
+--R     ,
+--R
+--R     [0.91720000000000002, 6.4399999999999999E-2, 0.6036999999999999,
+--R      0.64300000000000002, 4.2799999999999998E-2, 0.48149999999999998]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 29
+
+--S 30 of 88
+m:=nrows x
+--R 
+--R
+--R   (4)  3
+--R                                                        Type: PositiveInteger
+--E 30
+
+--S 31 of 88
+n:=ncols x
+--R 
+--R
+--R   (5)  6
+--R                                                        Type: PositiveInteger
+--E 31
+
+--S 32 of 88
+trig:Matrix SF:=new(1,2*n,0.0@SF)
+--R 
+--R
+--R   (6)  [0.  0.  0.  0.  0.  0.  0.  0.  0.  0.  0.  0.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 32
+
+--S 33 of 88
+init:="i"
+--R 
+--R
+--R   (7)  "i"
+--R                                                                 Type: String
+--E 33
+
+--S 34 of 88
+-- result:=c06fpf(m,n,init,x,trig,-1)
+--E 34
+
+)clear all
+
+--S 35 of 88
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 35
+
+--S 36 of 88
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 36
+
+--S 37 of 88
+x:Matrix SF:=
+ [[0.3854 ,0.6772 ,0.1138 ,0.6751 ,0.6362 ,0.1424],_
+  [0.5417 ,0.2983 ,0.1181 ,0.7255 ,0.8638 ,0.8723],_
+  [0.9172 ,0.0644 ,0.6037 ,0.6430 ,0.0428 ,0.4815 ]]
+--R 
+--R
+--R   (3)
+--R   [
+--R     [0.38539999999999996, 0.67720000000000002, 0.1138, 0.67510000000000003,
+--R      0.63619999999999999, 0.1424]
+--R     ,
+--R
+--R     [0.54169999999999996, 0.29830000000000001, 0.1181, 0.72550000000000003,
+--R      0.8637999999999999, 0.87229999999999996]
+--R     ,
+--R
+--R     [0.91720000000000002, 6.4399999999999999E-2, 0.6036999999999999,
+--R      0.64300000000000002, 4.2799999999999998E-2, 0.48149999999999998]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 37
+
+--S 38 of 88
+m:=nrows x
+--R 
+--R
+--R   (4)  3
+--R                                                        Type: PositiveInteger
+--E 38
+
+--S 39 of 88
+n:=ncols x
+--R 
+--R
+--R   (5)  6
+--R                                                        Type: PositiveInteger
+--E 39
+
+--S 40 of 88
+trig:Matrix SF:=new(1,2*n,0.0@SF)
+--R 
+--R
+--R   (6)  [0.  0.  0.  0.  0.  0.  0.  0.  0.  0.  0.  0.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 40
+
+--S 41 of 88
+init:="i"
+--R 
+--R
+--R   (7)  "i"
+--R                                                                 Type: String
+--E 41
+
+--S 42 of 88
+-- result:=c06fqf(m,n,init,x,trig,-1)
+--E 42
+
+)clear all
+
+--S 43 of 88
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 43
+
+--S 44 of 88
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 44
+
+--S 45 of 88
+x:Matrix SF:=
+ [[0.3854 ,0.6772 ,0.1138 ,0.6751 ,0.6362 ,0.1424],_
+  [0.9172 ,0.0644 ,0.6037 ,0.6430 ,0.0428 ,0.4815],_
+  [0.1156 ,0.0685 ,0.2060 ,0.8630 ,0.6967 ,0.2792 ]]
+--R 
+--R
+--R   (3)
+--R   [
+--R     [0.38539999999999996, 0.67720000000000002, 0.1138, 0.67510000000000003,
+--R      0.63619999999999999, 0.1424]
+--R     ,
+--R
+--R     [0.91720000000000002, 6.4399999999999999E-2, 0.6036999999999999,
+--R      0.64300000000000002, 4.2799999999999998E-2, 0.48149999999999998]
+--R     ,
+--R
+--R     [0.11559999999999999, 6.8500000000000005E-2, 0.20599999999999999,
+--R      0.86299999999999999, 0.69669999999999999, 0.2792]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 45
+
+--S 46 of 88
+y:Matrix SF:=
+ [[0.5417, 0.2983, 0.1181 ,0.7255 ,0.8638 ,0.8723],_
+  [0.9089, 0.3118, 0.3465 ,0.6198, 0.2668, 0.1614],_
+  [0.6214, 0.8681, 0.7060 ,0.8652, 0.9190, 0.3355 ]]
+--R 
+--R
+--R   (4)
+--R   [
+--R     [0.54169999999999996, 0.29830000000000001, 0.1181, 0.72550000000000003,
+--R      0.8637999999999999, 0.87229999999999996]
+--R     ,
+--R
+--R     [0.90890000000000004, 0.31179999999999997, 0.34649999999999997,
+--R      0.61979999999999991, 0.26679999999999998, 0.16139999999999999]
+--R     ,
+--R
+--R     [0.62139999999999995, 0.86809999999999998, 0.70599999999999996,
+--R      0.86519999999999997, 0.91900000000000004, 0.33550000000000002]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 46
+
+--S 47 of 88
+m:=nrows x
+--R 
+--R
+--R   (5)  3
+--R                                                        Type: PositiveInteger
+--E 47
+
+--S 48 of 88
+n:=ncols x
+--R 
+--R
+--R   (6)  6
+--R                                                        Type: PositiveInteger
+--E 48
+
+--S 49 of 88
+trig:Matrix SF:=new(1,2*n,0.0@SF)
+--R 
+--R
+--R   (7)  [0.  0.  0.  0.  0.  0.  0.  0.  0.  0.  0.  0.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 49
+
+--S 50 of 88
+init:="i"
+--R 
+--R
+--R   (8)  "i"
+--R                                                                 Type: String
+--E 50
+
+--S 51 of 88
+-- result:=c06frf(m,n,init,x,y,trig,-1)
+--E 51
+
+)clear all
+
+--S 52 of 88
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 52
+
+--S 53 of 88
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 53
+
+--S 54 of 88
+x:Matrix SF:= 
+ [[1.000,0.999,0.987,0.936,0.802],_
+  [0.994,0.989,0.963,0.891,0.731],_
+  [0.903,0.885,0.823,0.694,0.467]]
+--R 
+--R
+--R   (3)
+--R   [[1.,0.999,0.98699999999999999,0.93599999999999994,0.80200000000000005],
+--R
+--R     [0.99399999999999999, 0.98899999999999999, 0.96299999999999997,
+--R      0.89100000000000001, 0.73099999999999998]
+--R     ,
+--R
+--R     [0.90300000000000002, 0.88500000000000001, 0.82299999999999995,
+--R      0.69399999999999995, 0.46699999999999997]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 54
+
+--S 55 of 88
+y:Matrix SF:=
+ [[0.000,-0.040,-0.159,-0.352,-0.597],_
+  [-0.111,-0.151,-0.268,-0.454,-0.682],_
+  [-0.430,-0.466,-0.568,-0.720,-0.884]]
+--R 
+--R
+--R   (4)
+--R   [
+--R     [0., - 3.9999999999999994E-2, - 0.15899999999999997,
+--R      - 0.35199999999999998, - 0.59699999999999998]
+--R     ,
+--R
+--R     [- 0.11099999999999999, - 0.15100000000000002, - 0.26799999999999996,
+--R      - 0.45399999999999996, - 0.68199999999999994]
+--R     ,
+--R
+--R     [- 0.43000000000000005, - 0.46599999999999997, - 0.56800000000000006,
+--R      - 0.71999999999999997, - 0.8839999999999999]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 55
+
+--S 56 of 88
+n:=ncols x
+--R 
+--R
+--R   (5)  5
+--R                                                        Type: PositiveInteger
+--E 56
+
+--S 57 of 88
+m:=nrows x
+--R 
+--R
+--R   (6)  3
+--R                                                        Type: PositiveInteger
+--E 57
+
+--S 58 of 88
+trigm:Matrix SF:=new(1,2*m,0.0@SF)
+--R 
+--R
+--R   (7)  [0.  0.  0.  0.  0.  0.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 58
+
+--S 59 of 88
+trign:Matrix SF:=new(1,2*n,0.0@SF)
+--R 
+--R
+--R   (8)  [0.  0.  0.  0.  0.  0.  0.  0.  0.  0.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 59
+
+--S 60 of 88
+init:="i"
+--R 
+--R
+--R   (9)  "i"
+--R                                                                 Type: String
+--E 60
+
+--S 61 of 88
+-- result:=c06fuf(m,n,init,x,y,trigm,trign,-1)
+--E 61
+
+)clear all
+
+--S 62 of 88
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 62
+
+--S 63 of 88
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 63
+
+--S 64 of 88
+x:Matrix SF:=
+ [[0.34907 ,0.54890 ,0.74776 ,0.94459 ,1.13850 ,1.32850 ,1.51370 ]]
+--R 
+--R
+--R   (3)
+--R   [
+--R     [0.34906999999999999, 0.54889999999999994, 0.74775999999999998,
+--R      0.94459000000000004, 1.1385000000000001, 1.3285, 1.5137]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 64
+
+--S 65 of 88
+n:=ncols x
+--R 
+--R
+--R   (4)  7
+--R                                                        Type: PositiveInteger
+--E 65
+
+--S 66 of 88
+-- result:=c06gbf(n,x,-1)
+--E 66
+
+)clear all
+
+--S 67 of 88
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 67
+
+--S 68 of 88
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 68
+
+--S 69 of 88
+y:Matrix SF:=
+ [[-0.37168 ,-0.35669 ,-0.31175 ,-0.23702 ,0.00074 ,0.16298 ,1.51370 ]]
+--R 
+--R
+--R   (3)
+--R   [
+--R     [- 0.37167999999999995, - 0.35668999999999995, - 0.31174999999999997,
+--R      - 0.23701999999999998, 7.3999999999999999E-4, 0.16298000000000001,
+--R      1.5137]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 69
+
+--S 70 of 88
+n:=ncols y
+--R 
+--R
+--R   (4)  7
+--R                                                        Type: PositiveInteger
+--E 70
+
+--S 71 of 88
+-- result:=c06gcf(n,y,-1)
+--E 71
+
+)clear all
+
+--S 72 of 88
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 72
+
+--S 73 of 88
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 73
+
+--S 74 of 88
+y:Matrix SF:=
+ [[-0.37168 ,-0.35669 ,-0.31175 ,-0.23702 ,0.00074 ,0.16298 ,1.51370 ]]
+--R 
+--R
+--R   (3)
+--R   [
+--R     [- 0.37167999999999995, - 0.35668999999999995, - 0.31174999999999997,
+--R      - 0.23701999999999998, 7.3999999999999999E-4, 0.16298000000000001,
+--R      1.5137]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 74
+
+--S 75 of 88
+n:=ncols y
+--R 
+--R
+--R   (4)  7
+--R                                                        Type: PositiveInteger
+--E 75
+
+--S 76 of 88
+-- result:=c06gcf(n,y,-1)
+--E 76
+
+)clear all
+
+--S 77 of 88
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 77
+
+--S 78 of 88
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 78
+
+--S 79 of 88
+x:Matrix SF:= 
+ [[0.3854 ,0.6772 ,0.1138 ,0.6751 ,0.6362 ,0.1424],_
+  [0.5417 ,0.2983 ,0.1181 ,0.7255 ,0.8638 ,0.8723],_
+  [0.9172 ,0.0644 ,0.6037 ,0.6430 ,0.0428 ,0.4815 ]]
+--R 
+--R
+--R   (3)
+--R   [
+--R     [0.38539999999999996, 0.67720000000000002, 0.1138, 0.67510000000000003,
+--R      0.63619999999999999, 0.1424]
+--R     ,
+--R
+--R     [0.54169999999999996, 0.29830000000000001, 0.1181, 0.72550000000000003,
+--R      0.8637999999999999, 0.87229999999999996]
+--R     ,
+--R
+--R     [0.91720000000000002, 6.4399999999999999E-2, 0.6036999999999999,
+--R      0.64300000000000002, 4.2799999999999998E-2, 0.48149999999999998]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 79
+
+--S 80 of 88
+m:=nrows x
+--R 
+--R
+--R   (4)  3
+--R                                                        Type: PositiveInteger
+--E 80
+
+--S 81 of 88
+n:=ncols x
+--R 
+--R
+--R   (5)  6
+--R                                                        Type: PositiveInteger
+--E 81
+
+--S 82 of 88
+-- result:=c06gqf(m,n,x,-1)
+--E 82
+
+)clear all
+
+--S 83 of 88
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 83
+
+--S 84 of 88
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 84
+
+--S 85 of 88
+x:Matrix SF:=
+ [[0.3854 ,0.6772 ,0.1138 ,0.6751 ,0.6362 ,0.1424],_
+  [0.5417 ,0.2983 ,0.1181 ,0.7255 ,0.8638 ,0.8723],_
+  [0.9172 ,0.0644 ,0.6037 ,0.6430 ,0.0428 ,0.4815 ]]
+--R 
+--R
+--R   (3)
+--R   [
+--R     [0.38539999999999996, 0.67720000000000002, 0.1138, 0.67510000000000003,
+--R      0.63619999999999999, 0.1424]
+--R     ,
+--R
+--R     [0.54169999999999996, 0.29830000000000001, 0.1181, 0.72550000000000003,
+--R      0.8637999999999999, 0.87229999999999996]
+--R     ,
+--R
+--R     [0.91720000000000002, 6.4399999999999999E-2, 0.6036999999999999,
+--R      0.64300000000000002, 4.2799999999999998E-2, 0.48149999999999998]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 85
+
+--S 86 of 88
+m:=nrows x
+--R 
+--R
+--R   (4)  3
+--R                                                        Type: PositiveInteger
+--E 86
+
+--S 87 of 88
+n:=ncols x
+--R 
+--R
+--R   (5)  6
+--R                                                        Type: PositiveInteger
+--E 87
+
+--S 88 of 88
+-- result:=c06gsf(m,n,x,-1)
+--E 88
+
 )spool
 )lisp (bye)
 \end{chunk}
diff --git a/changelog b/changelog
index 24a2620..7cfee4d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,17 @@
+20141206 tpd src/axiom-website/patches.html 20141206.03.tpd.patch
+20141206 tpd books/bookvol10.4 NAGC06 absorb src/input test case files
+20141206 tpd src/input/c06eaf.input absorbed, removed
+20141206 tpd src/input/c06ebf.input absorbed, removed
+20141206 tpd src/input/c06ecf.input absorbed, removed
+20141206 tpd src/input/c06ekf.input absorbed, removed
+20141206 tpd src/input/c06fpf.input absorbed, removed
+20141206 tpd src/input/c06fqf.input absorbed, removed
+20141206 tpd src/input/c06frf.input absorbed, removed
+20141206 tpd src/input/c06fuf.input absorbed, removed
+20141206 tpd src/input/c06gbf.input absorbed, removed
+20141206 tpd src/input/c06gcf.input absorbed, removed
+20141206 tpd src/input/c06gqf.input absorbed, removed
+20141206 tpd src/input/c06gsf.input absorbed, removed
 20141206 tpd src/axiom-website/patches.html 20141206.02.tpd.patch
 20141206 tpd books/bookvol10.4 NAGC05 absorb src/input test case files
 20141206 tpd src/input/Makefile remove c05adf, c05pbf, c05nbf
diff --git a/patch b/patch
index 3f155d0..59fe065 100644
--- a/patch
+++ b/patch
@@ -1,2 +1,2 @@
-books/bookvol10.4 NAGC05 absorb src/input test case files
+books/bookvol10.4 NAGC06 absorb src/input test case files
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ada679b..03936ae 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4762,6 +4762,8 @@ projects: Axiom continuous integration<br/>
 books/bookvol10.4 NAGC02 absorb src/input test case files<br/>
 <a href="patches/20141206.02.tpd.patch">20141206.02.tpd.patch</a>
 books/bookvol10.4 NAGC05 absorb src/input test case files<br/>
+<a href="patches/20141206.03.tpd.patch">20141206.03.tpd.patch</a>
+books/bookvol10.4 NAGC06 absorb src/input test case files<br/>
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index fc9e6a5..d7bb2eb 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -188,9 +188,6 @@ TESTSYS=${OBJ}/${SYS}/bin/interpsys
 SKIP= as-eg1.output as-eg2.output    \
       as-eg3.output    as-eg4.output    as-eg5.output    as-eg6.output    \
       bern.output      bernpoly.output  \
-      c06eaf.output    c06ebf.output    c06ecf.output    c06ekf.output    \
-      c06fpf.output    c06fqf.output    c06frf.output    c06fuf.output    \
-      c06gbf.output    c06gcf.output    c06gqf.output    c06gsf.output    \
       cdraw.output     color.output     cone.output      \
       coordsys.output  \
       cycloid2.output  cycloid3.output  cycloid.output   \
@@ -634,12 +631,7 @@ ASFILES=${OUT}/aseg6.as   ${OUT}/aseg7.as  ${OUT}/ecfact.as \
         ${OUT}/hilbert.as ${OUT}/matops.as ${OUT}/pdecomp0.as \
         ${OUT}/romnum.as
 
-NAGLIB=${OUT}/c06eaf.input \
-       ${OUT}/c06ebf.input   ${OUT}/c06ecf.input     ${OUT}/c06ekf.input \
-       ${OUT}/c06fpf.input   ${OUT}/c06fqf.input     ${OUT}/c06frf.input \
-       ${OUT}/c06fuf.input   ${OUT}/c06gbf.input     ${OUT}/c06gcf.input \
-       ${OUT}/c06gqf.input   ${OUT}/c06gsf.input     \
-       ${OUT}/d01ajf.input   ${OUT}/d01akf.input     ${OUT}/d01alf.input \
+NAGLIB=${OUT}/d01ajf.input   ${OUT}/d01akf.input     ${OUT}/d01alf.input \
        ${OUT}/d01amf.input   ${OUT}/d01anf.input     ${OUT}/d01apf.input \
        ${OUT}/d01aqf.input   ${OUT}/d01asf.input     ${OUT}/d01bbf.input \
        ${OUT}/d01fcf.input   ${OUT}/d01gaf.input     ${OUT}/d01gbf.input \
@@ -1025,13 +1017,7 @@ DOCFILES= \
   ${DOC}/bug103.input.dvi \
   ${DOC}/bug10312.input.dvi    ${DOC}/bug6357.input.dvi    \
   ${DOC}/bug9057.input.dvi     ${DOC}/bugs.input.dvi       \
-  ${DOC}/c06eaf.input.dvi     \
-  ${DOC}/c06ebf.input.dvi      ${DOC}/c06ecf.input.dvi     \
-  ${DOC}/c06ekf.input.dvi      ${DOC}/c06fpf.input.dvi     \
-  ${DOC}/c06fqf.input.dvi      ${DOC}/c06frf.input.dvi     \
-  ${DOC}/c06fuf.input.dvi      ${DOC}/c06gbf.input.dvi     \
-  ${DOC}/c06gcf.input.dvi      ${DOC}/c06gqf.input.dvi     \
-  ${DOC}/c06gsf.input.dvi      ${DOC}/cachedf.input.dvi    \
+  ${DOC}/cachedf.input.dvi    \
   ${DOC}/cad.input.dvi         \
   ${DOC}/calcprob.input.dvi    ${DOC}/calculus2.input.dvi  \
   ${DOC}/calculus.input.dvi    ${DOC}/cardinal.input.dvi   \
diff --git a/src/input/c06eaf.input.pamphlet b/src/input/c06eaf.input.pamphlet
deleted file mode 100644
index 22b2cc4..0000000
--- a/src/input/c06eaf.input.pamphlet
+++ /dev/null
@@ -1,32 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c06aef.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-x:Matrix SF:=
- [[0.34907 ,0.54890 ,0.74776 ,0.94459 ,1.13850 ,1.32850 ,1.51370 ]]
-n:=ncols x
-result:=c06eaf(n,x,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/c06ebf.input.pamphlet b/src/input/c06ebf.input.pamphlet
deleted file mode 100644
index 1dd1a4d..0000000
--- a/src/input/c06ebf.input.pamphlet
+++ /dev/null
@@ -1,32 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c06ebf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-x:Matrix SF:=
- [[0.34907 ,0.54890 ,0.74776 ,0.94459 ,1.13850 ,1.32850 ,1.51370 ]]
-n:=ncols x
-result:=c06ebf(n,x,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/c06ecf.input.pamphlet b/src/input/c06ecf.input.pamphlet
deleted file mode 100644
index 43d28b5..0000000
--- a/src/input/c06ecf.input.pamphlet
+++ /dev/null
@@ -1,34 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c06ecf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-x:Matrix SF:=
- [[0.34907 ,0.54890 ,0.74776 ,0.94459 ,1.13850 ,1.32850 ,1.51370 ]]
-y:Matrix SF:=
- [[-0.37168 ,-0.35669 ,-0.31175 ,-0.23702 ,-0.13274 ,0.00074 ,0.16298 ]]
-n:=ncols x
-result:=c06ecf(n,x,y,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/c06ekf.input.pamphlet b/src/input/c06ekf.input.pamphlet
deleted file mode 100644
index abd71c8..0000000
--- a/src/input/c06ekf.input.pamphlet
+++ /dev/null
@@ -1,37 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c06ekf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-x:Matrix SF:=
- [[1.00 ,1.00 ,1.00 ,1.00 ,1.00 ,0.00 ,0.00 ,0.00 ,0.00 ]]
-y:Matrix SF:=
- [[0.50 ,0.50 ,0.50 ,0.50 ,0.00 ,0.00 ,0.00 ,0.00 ,0.00 ]]
-n:=ncols x
-job:=1
-c06ekf(job,n,x,y,-1)
-job:=2
-result:=c06ekf(job,n,x,y,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/c06fpf.input.pamphlet b/src/input/c06fpf.input.pamphlet
deleted file mode 100644
index 3b24e3a..0000000
--- a/src/input/c06fpf.input.pamphlet
+++ /dev/null
@@ -1,37 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c06fpf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-x:Matrix SF:=
- [[0.3854 ,0.6772 ,0.1138 ,0.6751 ,0.6362 ,0.1424] ,_
- [0.5417 ,0.2983 ,0.1181 ,0.7255 ,0.8638 ,0.8723] ,_
- [0.9172 ,0.0644 ,0.6037 ,0.6430 ,0.0428 ,0.4815 ]]
-m:=nrows x
-n:=ncols x
-trig:Matrix SF:=new(1,2*n,0.0@SF)
-init:="i"
-result:=c06fpf(m,n,init,x,trig,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/c06fqf.input.pamphlet b/src/input/c06fqf.input.pamphlet
deleted file mode 100644
index 5b18a04..0000000
--- a/src/input/c06fqf.input.pamphlet
+++ /dev/null
@@ -1,37 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c06fqf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-x:Matrix SF:=
- [[0.3854 ,0.6772 ,0.1138 ,0.6751 ,0.6362 ,0.1424],_
-  [0.5417 ,0.2983 ,0.1181 ,0.7255 ,0.8638 ,0.8723],_
-  [0.9172 ,0.0644 ,0.6037 ,0.6430 ,0.0428 ,0.4815 ]]
-m:=nrows x
-n:=ncols x
-trig:Matrix SF:=new(1,2*n,0.0@SF)
-init:="i"
-result:=c06fqf(m,n,init,x,trig,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/c06frf.input.pamphlet b/src/input/c06frf.input.pamphlet
deleted file mode 100644
index 8e70d96..0000000
--- a/src/input/c06frf.input.pamphlet
+++ /dev/null
@@ -1,41 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c06frf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-x:Matrix SF:=
- [[0.3854 ,0.6772 ,0.1138 ,0.6751 ,0.6362 ,0.1424],_
-  [0.9172 ,0.0644 ,0.6037 ,0.6430 ,0.0428 ,0.4815],_
-  [0.1156 ,0.0685 ,0.2060 ,0.8630 ,0.6967 ,0.2792 ]]
-y:Matrix SF:=
- [[0.5417, 0.2983, 0.1181 ,0.7255 ,0.8638 ,0.8723],_
-  [0.9089, 0.3118, 0.3465 ,0.6198, 0.2668, 0.1614],_
-  [0.6214, 0.8681, 0.7060 ,0.8652, 0.9190, 0.3355 ]]
-m:=nrows x
-n:=ncols x
-trig:Matrix SF:=new(1,2*n,0.0@SF)
-init:="i"
-result:=c06frf(m,n,init,x,y,trig,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/c06fuf.input.pamphlet b/src/input/c06fuf.input.pamphlet
deleted file mode 100644
index fcc3b5a..0000000
--- a/src/input/c06fuf.input.pamphlet
+++ /dev/null
@@ -1,42 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c06fuf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-x:Matrix SF:= 
- [[1.000,0.999,0.987,0.936,0.802],_
-  [0.994,0.989,0.963,0.891,0.731],_
-  [0.903,0.885,0.823,0.694,0.467]]
-y:Matrix SF:=
- [[0.000,-0.040,-0.159,-0.352,-0.597],_
-  [-0.111,-0.151,-0.268,-0.454,-0.682],_
-  [-0.430,-0.466,-0.568,-0.720,-0.884]]
-n:=ncols x
-m:=nrows x
-trigm:Matrix SF:=new(1,2*m,0.0@SF)
-trign:Matrix SF:=new(1,2*n,0.0@SF)
-init:="i"
-result:=c06fuf(m,n,init,x,y,trigm,trign,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/c06gbf.input.pamphlet b/src/input/c06gbf.input.pamphlet
deleted file mode 100644
index fd308ae..0000000
--- a/src/input/c06gbf.input.pamphlet
+++ /dev/null
@@ -1,32 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c06gbf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-x:Matrix SF:=
- [[0.34907 ,0.54890 ,0.74776 ,0.94459 ,1.13850 ,1.32850 ,1.51370 ]]
-n:=ncols x
-result:=c06gbf(n,x,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/c06gcf.input.pamphlet b/src/input/c06gcf.input.pamphlet
deleted file mode 100644
index 8608939..0000000
--- a/src/input/c06gcf.input.pamphlet
+++ /dev/null
@@ -1,32 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c06gcf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-y:Matrix SF:=
- [[-0.37168 ,-0.35669 ,-0.31175 ,-0.23702 ,0.00074 ,0.16298 ,1.51370 ]]
-n:=ncols y
-result:=c06gcf(n,y,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/c06gqf.input.pamphlet b/src/input/c06gqf.input.pamphlet
deleted file mode 100644
index 4a9c7e4..0000000
--- a/src/input/c06gqf.input.pamphlet
+++ /dev/null
@@ -1,35 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c06gqf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-x:Matrix SF:= 
- [[0.3854 ,0.6772 ,0.1138 ,0.6751 ,0.6362 ,0.1424],_
-  [0.5417 ,0.2983 ,0.1181 ,0.7255 ,0.8638 ,0.8723],_
-  [0.9172 ,0.0644 ,0.6037 ,0.6430 ,0.0428 ,0.4815 ]]
-m:=nrows x
-n:=ncols x
-result:=c06gqf(m,n,x,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/c06gsf.input.pamphlet b/src/input/c06gsf.input.pamphlet
deleted file mode 100644
index 8cd7e04..0000000
--- a/src/input/c06gsf.input.pamphlet
+++ /dev/null
@@ -1,35 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c06gsf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-x:Matrix SF:=
- [[0.3854 ,0.6772 ,0.1138 ,0.6751 ,0.6362 ,0.1424],_
-  [0.5417 ,0.2983 ,0.1181 ,0.7255 ,0.8638 ,0.8723],_
-  [0.9172 ,0.0644 ,0.6037 ,0.6430 ,0.0428 ,0.4815 ]]
-m:=nrows x
-n:=ncols x
-result:=c06gsf(m,n,x,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
